# Class CIM_SwitchPortSpanningTree
extends CIM_ServiceSAPDependency

A switch participating in the spanning tree maintains spanning-tree specific information about each port whose forwarding is determined by the spanning tree. This association represents that information.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency
|
+--CIM_SwitchPortSpanningTree

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A switch participating in the spanning tree maintains spanning-tree specific information about each port whose forwarding is determined by the spanning tree. This association represents that information.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DesignatedBridge | string |
Description | string | The bridge identifier of the designated bridge for the segment to which the port is attached.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedBridge
DesignatedCost | uint16 |
Description | string | The cost of the path to the root offered by the designated bridge for the segment.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedCost
DesignatedPort | uint16 |
Description | string | The port identifier of the port on the designated bridge serving the segment to which the port is attached.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedPort
DesignatedRoot | string |
Description | string | The bridge identifier of the root bridge for the segment to which the port is attached, as transmitted by the designated bridge for the segment.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedRoot
Enable | uint16 |
Deprecated | string | CIM_EnabledLogicalElement.EnabledState
Description | string | The enabled/disabled status of the port. This property is deprecated since the status of the port is available by inheritance from EnabledLogicalElement.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortEnable
ValueMap | string | 1, 2
Values | string | Enabled, Disabled
PathCost | uint16 |
Description | string | The contribution of this port to the path cost of paths towards the spanning tree root which include this port.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortPathCost
Priority | uint8 |
Description | string | The priority assigned to the port. Contained in the first octet of the two-octet port ID; the other octet is the port number.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortPriority
State | uint16 |
Description | string | The current state of the port as determined by the spanning tree protocol.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dStpPortState
ValueMap | string | 1, 2, 3, 4, 5, 6
Values | string | Disabled, Blocking, Listening, Learning, Forwarding, Broken

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SwitchPortSpanningTree | CIM_SwitchPort
Dependent | CIM_SwitchPortSpanningTree | CIM_SpanningTreeService

## Class Methods